Bug#912495: pydxcluster: Please migrate to python3-pygame

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

Bug#912495: pydxcluster: Please migrate to python3-pygame

Dominik George-7
Package: pydxcluster
Severity: wishlist
User: [hidden email]
Usertags: python3-migration

Dear maintainer,

thanks for maintaining a pygame-based game in Debian!

As you might have heard, Python 2 will be end of life in the not so
far future. Thus, I would like to start to get the reverse
dependencies of the Python 2 version of pygame down, so this can be
done with some time and not in a hurried effort that probably makes
us loose games from Debian.

If you already know that your game will work with Python 3, please
build against and depend on python3-pygame, which has long been
available in sid and will migrate to buster shortly.

If you do not yet know whether this will work, your chances that it
will just work are still quite good, so please just give it a shot.

If you find your package does not work with Python 3 yet, you can…

a) …check what to do with upstream

b) …try to patch it (and forward your patch upstream)

c) …tag this bug report help - the next pygame-fluent kangaroo

is reserved for you!

Feel free to ask any questions if you are unsure what to do.

Cheers, Nik